Package org.apache.sis.metadata.iso.maintenance

## Class LegacyFeatureType

- Object
- - LegacyFeatureType

- All Implemented Interfaces:
    `CharSequence`, `AttributeType`, `FeatureType`

      @Deprecated
      public final class LegacyFeatureType
      extends Object
      implements FeatureType, AttributeType, CharSequence

  Deprecated.
  To be removed after migration to GeoAPI 4.0.
  Bridges between deprecated `FeatureType` / `AttributeType` and `CharSequence`. `FeatureType` and `AttributeType` were used in ISO 19115:2003, but have been replaced by `CharSequence` in ISO 19115:2014. The corresponding GeoAPI 3.0 interfaces are empty since they were placeholder for future work. We use this `LegacyFeatureType` as a temporary bridge, to be removed with GeoAPI 4.0.
  Since:
    1.0

  Defined in the `sis-metadata` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LegacyFeatureType​(CharSequence value)` | Deprecated. Creates a new type for the given value, which must be non-null.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char` | `charAt​(int index)` | Deprecated.
    `boolean` | `equals​(Object obj)` | Deprecated.
    `int` | `hashCode()` | Deprecated.
    `int` | `length()` | Deprecated. Delegates to the value given at construction time.
    `CharSequence` | `subSequence​(int start, int end)` | Deprecated.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface CharSequence

      `chars, codePoints`

- - ### Constructor Detail

    - #### LegacyFeatureType

          public LegacyFeatureType​(CharSequence value)

      Deprecated.
      Creates a new type for the given value, which must be non-null.
      Parameters:
        `value` - the text to wrap in a legacy feature type.

  - ### Method Detail

    - #### length

          public int length()

      Deprecated.
      Delegates to the value given at construction time.
      Specified by:
        `length` in interface `CharSequence`

    - #### charAt

          public char charAt​(int index)

      Deprecated.
      Specified by:
        `charAt` in interface `CharSequence`

    - #### subSequence

          public CharSequence subSequence​(int start,
                                          int end)

      Deprecated.
      Specified by:
        `subSequence` in interface `CharSequence`

    - #### toString

          public String toString()

      Deprecated.
      Specified by:
        `toString` in interface `CharSequence`
      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`